View Issue Details

IDProjectCategoryView StatusLast Update
0004533SketcherFeaturepublic2021-02-06 06:58
Reporteremmanuelobrien Assigned Toabdullah  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Summary0004533: Preserve corner and constraints for sketch fillets
DescriptionCurrently the sketch fillet tool deletes any constraints associated with the two
lines to be filleted. By leaving a vertex at the intersection of the two lines,
we can instead preserve most constraints in reasonable ways.

Discussion here:
https://forum.freecadweb.org/viewtopic.php?f=8&t=54179

Created PR https://github.com/FreeCAD/FreeCAD/pull/4296

It currently only supports fillets on straight lines. I'm happy to look at the curved line case if you like this PR.
TagsNo tags attached.
FreeCAD InformationOS: Ubuntu 20.04.1 LTS (XFCE/xubuntu)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.23701 (Git)
Build type: Unknown
Branch: sketch-fillet
Hash: 34b981f867adbce7cd806f2ea031ec7a22b6cab4
Python version: 3.8.5
Qt version: 5.12.8
Coin version: 4.0.0
OCC version: 7.3.0
Locale: English/United States (en_US)

Activities

abdullah

2021-02-04 07:17

manager   ~0015266

Last edited: 2021-02-04 09:34

View 2 revisions

PR by user lunkwill:
https://github.com/FreeCAD/FreeCAD/pull/4296

Commits:
FreeCAD master 86992f80
FreeCAD master f6f43b6f
FreeCAD master 46feeb11
FreeCAD master 9fc31dfa
FreeCAD master 7b9d9fdc
FreeCAD master 6db77375

Kunda1

2021-02-04 09:40

administrator   ~0015267

Last edited: 2021-02-04 09:42

View 2 revisions

@abdullah Thank you!

JFYI, I edited your note in order to use the correct markup for the commit links. When adding a hash, mantisbt isn't as sophisticated as Github. You need to put the hash within the following markup (reference):
c:FreeCAD:hashnumber:
Just for reference, I will also link each commit to this ticket by clicking on each separate one an linking to this ticket by associating the ticket number to the commit. This happens automagically when using the mantisbt markup trigger in the commit itself.

Edit: forgot to mention, thank you @emmanuelobrien !

abdullah

2021-02-06 06:58

manager   ~0015279

@Kunda1

Wait wait!! That is important information I need to get right.

So, for manual referencing c:FreeCAD:hasnumber: understood.

For the commit. Before including "fixes 0004533" in the commit used to work. I somehow thought this had stopped working. Do you mean this way of marking the commit?

For the forum, the commit tag is no longer working. But that is unrelated to mantisbt.

Did I get it right? ;)

Related Changesets

FreeCAD: master 86992f80

2021-02-03 14:11:02

j


Committer: abdullah Details Diff
Sketcher: Preserve corner and constraints for sketch fillets

Currently the sketch fillet tool deletes any constraints associated with
the two lines to be filleted. By leaving a vertex at the intersection,
we can instead preserve most constraints in reasonable ways.

Sketch fillet horizontal and vertical point-to-point constraint support
Also better future compatibility for point constraints, and some minor tweaks.
Affected Issues
0004533
mod - src/Mod/Sketcher/App/SketchObject.cpp Diff File
mod - src/Mod/Sketcher/App/SketchObject.h Diff File

FreeCAD: master f6f43b6f

2021-02-03 14:12:40

j


Committer: abdullah Details Diff
Sketcher: Constraint documentation Affected Issues
0004533
mod - src/Mod/Sketcher/App/Constraint.h Diff File

FreeCAD: master 46feeb11

2021-02-03 14:14:14

j


Committer: abdullah Details Diff
Sketch: new fillet Python support Affected Issues
0004533
mod - src/Mod/Sketcher/App/SketchObjectPyImp.cpp Diff File

FreeCAD: master 9fc31dfa

2021-02-03 14:15:46

j


Committer: abdullah Details Diff
Sketcher: new Fillet - icon Affected Issues
0004533
mod - src/Mod/Sketcher/Gui/Resources/Sketcher.qrc Diff File
add - src/Mod/Sketcher/Gui/Resources/icons/geometry/Sketcher_CreatePointFillet.svg Diff File

FreeCAD: master 7b9d9fdc

2021-02-03 14:25:01

j


Committer: abdullah Details Diff
Sketcher: new fillet UI command Affected Issues
0004533
mod - src/Mod/Sketcher/Gui/CommandCreateGeo.cpp Diff File
mod - src/Mod/Sketcher/Gui/ViewProviderSketch.cpp Diff File
mod - src/Mod/Sketcher/Gui/Workbench.cpp Diff File

FreeCAD: master 6db77375

2021-02-03 14:30:39

j


Committer: abdullah Details Diff
Sketcher: Group tests in different directories Affected Issues
0004533
mod - src/Mod/Sketcher/CMakeLists.txt Diff File
add - src/Mod/Sketcher/SketcherTests/TestSketchFillet.py Diff File
add - src/Mod/Sketcher/SketcherTests/TestSketcherSolver.py Diff File
add - src/Mod/Sketcher/SketcherTests/__init__.py Diff File
mod - src/Mod/Sketcher/TestSketcherApp.py Diff File

Issue History

Date Modified Username Field Change
2021-01-14 08:05 emmanuelobrien New Issue
2021-01-17 20:50 emmanuelobrien Description Updated View Revisions
2021-01-19 04:31 emmanuelobrien Description Updated View Revisions
2021-01-19 04:42 emmanuelobrien Description Updated View Revisions
2021-02-04 07:17 abdullah Assigned To => abdullah
2021-02-04 07:17 abdullah Status new => closed
2021-02-04 07:17 abdullah Resolution open => fixed
2021-02-04 07:17 abdullah Fixed in Version => 0.19
2021-02-04 07:17 abdullah Note Added: 0015266
2021-02-04 09:34 Kunda1 Note Edited: 0015266 View Revisions
2021-02-04 09:40 Kunda1 Note Added: 0015267
2021-02-04 09:40 Kunda1 Changeset attached => FreeCAD master 6db77375
2021-02-04 09:40 Kunda1 Changeset attached => FreeCAD master 7b9d9fdc
2021-02-04 09:41 Kunda1 Changeset attached => FreeCAD master 9fc31dfa
2021-02-04 09:41 Kunda1 Changeset attached => FreeCAD master 46feeb11
2021-02-04 09:41 Kunda1 Changeset attached => FreeCAD master f6f43b6f
2021-02-04 09:41 Kunda1 Changeset attached => FreeCAD master 86992f80
2021-02-04 09:42 Kunda1 Note Edited: 0015267 View Revisions
2021-02-06 06:58 abdullah Note Added: 0015279